# newInstance<Instance> abstract method

Instance newInstance<Instance>([

1. Map<String, dynamic>? arguments,
2. List args = const []

])

Creates a new instance using named arguments.

Parameters:

- `arguments`: Optional named arguments matching constructor parameters

Returns:

- A new instance of the declaring class

Throws:

- InvalidArgumentException if arguments don't match parameters
- UnsupportedOperationException for abstract classes

Example:

    final instance = constructor.newInstance({'name': 'Alice', 'age': 30});

    final instance = constructor.newInstance(null, ['Alice', 30]);

## Implementation

    Instance newInstance<Instance>([Map<String, dynamic>? arguments, List<dynamic> args = const []]);